com.amazonaws.services.simpleworkflow.model

## Class ActivityTaskScheduledEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ActivityTaskScheduledEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActivityTaskScheduledEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ActivityTaskScheduled` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActivityTaskScheduledEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActivityTaskScheduledEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getActivityId()` The unique ID of the activity task.
`ActivityType` `getActivityType()` The type of the activity task.
`String` `getControl()` Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task.
`String` `getHeartbeatTimeout()` The maximum time before which the worker processing this task must report progress by calling RecordActivityTaskHeartbeat.
`String` `getInput()` The input provided to the activity task.
`String` `getScheduleToCloseTimeout()` The maximum amount of time for this activity task.
`String` `getScheduleToStartTimeout()` The maximum amount of time the activity task can wait to be assigned to a worker.
`String` `getStartToCloseTimeout()` The maximum amount of time a worker may take to process the activity task.
`TaskList` `getTaskList()` The task list in which the activity task has been scheduled.
`String` `getTaskPriority()` Optional. The priority to assign to the scheduled activity task.
`int` `hashCode()`
`void` `setActivityId(String activityId)` The unique ID of the activity task.
`void` `setActivityType(ActivityType activityType)` The type of the activity task.
`void` `setControl(String control)` Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task.
`void` `setHeartbeatTimeout(String heartbeatTimeout)` The maximum time before which the worker processing this task must report progress by calling RecordActivityTaskHeartbeat.
`void` `setInput(String input)` The input provided to the activity task.
`void` `setScheduleToCloseTimeout(String scheduleToCloseTimeout)` The maximum amount of time for this activity task.
`void` `setScheduleToStartTimeout(String scheduleToStartTimeout)` The maximum amount of time the activity task can wait to be assigned to a worker.
`void` `setStartToCloseTimeout(String startToCloseTimeout)` The maximum amount of time a worker may take to process the activity task.
`void` `setTaskList(TaskList taskList)` The task list in which the activity task has been scheduled.
`void` `setTaskPriority(String taskPriority)` Optional. The priority to assign to the scheduled activity task.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivityTaskScheduledEventAttributes` `withActivityId(String activityId)` The unique ID of the activity task.
`ActivityTaskScheduledEventAttributes` `withActivityType(ActivityType activityType)` The type of the activity task.
`ActivityTaskScheduledEventAttributes` `withControl(String control)` Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.
`ActivityTaskScheduledEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task.
`ActivityTaskScheduledEventAttributes` `withHeartbeatTimeout(String heartbeatTimeout)` The maximum time before which the worker processing this task must report progress by calling RecordActivityTaskHeartbeat.
`ActivityTaskScheduledEventAttributes` `withInput(String input)` The input provided to the activity task.
`ActivityTaskScheduledEventAttributes` `withScheduleToCloseTimeout(String scheduleToCloseTimeout)` The maximum amount of time for this activity task.
`ActivityTaskScheduledEventAttributes` `withScheduleToStartTimeout(String scheduleToStartTimeout)` The maximum amount of time the activity task can wait to be assigned to a worker.
`ActivityTaskScheduledEventAttributes` `withStartToCloseTimeout(String startToCloseTimeout)` The maximum amount of time a worker may take to process the activity task.
`ActivityTaskScheduledEventAttributes` `withTaskList(TaskList taskList)` The task list in which the activity task has been scheduled.
`ActivityTaskScheduledEventAttributes` `withTaskPriority(String taskPriority)` Optional. The priority to assign to the scheduled activity task.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivityTaskScheduledEventAttributes

    public ActivityTaskScheduledEventAttributes()

### Method Detail

#### setActivityType

    public void setActivityType(ActivityType activityType)

The type of the activity task.

Parameters:
  `activityType` - The type of the activity task.

#### getActivityType

    public ActivityType getActivityType()

The type of the activity task.

Returns:
  The type of the activity task.

#### withActivityType

    public ActivityTaskScheduledEventAttributes withActivityType(ActivityType activityType)

The type of the activity task.

Parameters:
  `activityType` - The type of the activity task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActivityId

    public void setActivityId(String activityId)

The unique ID of the activity task.

Parameters:
  `activityId` - The unique ID of the activity task.

#### getActivityId

    public String getActivityId()

The unique ID of the activity task.

Returns:
  The unique ID of the activity task.

#### withActivityId

    public ActivityTaskScheduledEventAttributes withActivityId(String activityId)

The unique ID of the activity task.

Parameters:
  `activityId` - The unique ID of the activity task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInput

    public void setInput(String input)

The input provided to the activity task.

Parameters:
  `input` - The input provided to the activity task.

#### getInput

    public String getInput()

The input provided to the activity task.

Returns:
  The input provided to the activity task.

#### withInput

    public ActivityTaskScheduledEventAttributes withInput(String input)

The input provided to the activity task.

Parameters:
  `input` - The input provided to the activity task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setControl

    public void setControl(String control)

Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks. This data is not sent to the activity.

Parameters:
  `control` - Optional.

#### getControl

    public String getControl()

Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks. This data is not sent to the activity.

Returns:
  Optional.

#### withControl

    public ActivityTaskScheduledEventAttributes withControl(String control)

Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks. This data is not sent to the activity.

Parameters:
  `control` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScheduleToStartTimeout

    public void setScheduleToStartTimeout(String scheduleToStartTimeout)

The maximum amount of time the activity task can wait to be assigned to a worker.

Parameters:
  `scheduleToStartTimeout` - The maximum amount of time the activity task can wait to be assigned to a worker.

#### getScheduleToStartTimeout

    public String getScheduleToStartTimeout()

The maximum amount of time the activity task can wait to be assigned to a worker.

Returns:
  The maximum amount of time the activity task can wait to be assigned to a worker.

#### withScheduleToStartTimeout

    public ActivityTaskScheduledEventAttributes withScheduleToStartTimeout(String scheduleToStartTimeout)

The maximum amount of time the activity task can wait to be assigned to a worker.

Parameters:
  `scheduleToStartTimeout` - The maximum amount of time the activity task can wait to be assigned to a worker.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setScheduleToCloseTimeout

    public void setScheduleToCloseTimeout(String scheduleToCloseTimeout)

The maximum amount of time for this activity task.

Parameters:
  `scheduleToCloseTimeout` - The maximum amount of time for this activity task.

#### getScheduleToCloseTimeout

    public String getScheduleToCloseTimeout()

The maximum amount of time for this activity task.

Returns:
  The maximum amount of time for this activity task.

#### withScheduleToCloseTimeout

    public ActivityTaskScheduledEventAttributes withScheduleToCloseTimeout(String scheduleToCloseTimeout)

The maximum amount of time for this activity task.

Parameters:
  `scheduleToCloseTimeout` - The maximum amount of time for this activity task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartToCloseTimeout

    public void setStartToCloseTimeout(String startToCloseTimeout)

The maximum amount of time a worker may take to process the activity task.

Parameters:
  `startToCloseTimeout` - The maximum amount of time a worker may take to process the activity task.

#### getStartToCloseTimeout

    public String getStartToCloseTimeout()

The maximum amount of time a worker may take to process the activity task.

Returns:
  The maximum amount of time a worker may take to process the activity task.

#### withStartToCloseTimeout

    public ActivityTaskScheduledEventAttributes withStartToCloseTimeout(String startToCloseTimeout)

The maximum amount of time a worker may take to process the activity task.

Parameters:
  `startToCloseTimeout` - The maximum amount of time a worker may take to process the activity task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskList

    public void setTaskList(TaskList taskList)

The task list in which the activity task has been scheduled.

Parameters:
  `taskList` - The task list in which the activity task has been scheduled.

#### getTaskList

    public TaskList getTaskList()

The task list in which the activity task has been scheduled.

Returns:
  The task list in which the activity task has been scheduled.

#### withTaskList

    public ActivityTaskScheduledEventAttributes withTaskList(TaskList taskList)

The task list in which the activity task has been scheduled.

Parameters:
  `taskList` - The task list in which the activity task has been scheduled.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTaskPriority

    public void setTaskPriority(String taskPriority)

Optional. The priority to assign to the scheduled activity task. If set, this will override any default priority value that was assigned when the activity type was registered.

Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `taskPriority` - Optional. The priority to assign to the scheduled activity task. If set, this will override any default priority value that was assigned when the activity type was registered.

  Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

#### getTaskPriority

    public String getTaskPriority()

Optional. The priority to assign to the scheduled activity task. If set, this will override any default priority value that was assigned when the activity type was registered.

Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Returns:
  Optional. The priority to assign to the scheduled activity task. If set, this will override any default priority value that was assigned when the activity type was registered.

  Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

#### withTaskPriority

    public ActivityTaskScheduledEventAttributes withTaskPriority(String taskPriority)

Optional. The priority to assign to the scheduled activity task. If set, this will override any default priority value that was assigned when the activity type was registered.

Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide.

Parameters:
  `taskPriority` - Optional. The priority to assign to the scheduled activity task. If set, this will override any default priority value that was assigned when the activity type was registered.

  Valid values are integers that range from Java's `Integer.MIN_VALUE` (-2147483648) to `Integer.MAX_VALUE` (2147483647). Higher numbers indicate higher priority.

  For more information about setting task priority, see Setting Task Priority in the Amazon Simple Workflow Developer Guide

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public ActivityTaskScheduledEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this activity task. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setHeartbeatTimeout

    public void setHeartbeatTimeout(String heartbeatTimeout)

The maximum time before which the worker processing this task must report progress by calling RecordActivityTaskHeartbeat. If the timeout is exceeded, the activity task is automatically timed out. If the worker subsequently attempts to record a heartbeat or return a result, it will be ignored.

Parameters:
  `heartbeatTimeout` - The maximum time before which the worker processing this task must report progress by calling RecordActivityTaskHeartbeat. If the timeout is exceeded, the activity task is automatically timed out. If the worker subsequently attempts to record a heartbeat or return a result, it will be ignored.

#### getHeartbeatTimeout

    public String getHeartbeatTimeout()

The maximum time before which the worker processing this task must report progress by calling RecordActivityTaskHeartbeat. If the timeout is exceeded, the activity task is automatically timed out. If the worker subsequently attempts to record a heartbeat or return a result, it will be ignored.

Returns:
  The maximum time before which the worker processing this task must report progress by calling RecordActivityTaskHeartbeat. If the timeout is exceeded, the activity task is automatically timed out. If the worker subsequently attempts to record a heartbeat or return a result, it will be ignored.

#### withHeartbeatTimeout

    public ActivityTaskScheduledEventAttributes withHeartbeatTimeout(String heartbeatTimeout)

The maximum time before which the worker processing this task must report progress by calling RecordActivityTaskHeartbeat. If the timeout is exceeded, the activity task is automatically timed out. If the worker subsequently attempts to record a heartbeat or return a result, it will be ignored.

Parameters:
  `heartbeatTimeout` - The maximum time before which the worker processing this task must report progress by calling RecordActivityTaskHeartbeat. If the timeout is exceeded, the activity task is automatically timed out. If the worker subsequently attempts to record a heartbeat or return a result, it will be ignored.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActivityTaskScheduledEventAttributes clone()

Overrides:
  `clone` in class `Object`